<?
include("../fnc.php");
enlinea_c();
  if(!$txtasunto){
    alert("Ingrese un asunto","javascript:history.go(-1)");
  }
  if(!$txtmensaje){
    alert("Ingrese un mensaje a enviar","javascript:history.go(-1)");
  }

  
  
  $qalumnos=runsql("select * 
                    from alumnos 
                    where grado_estudio = '".get_session_var("grado_id")."'
                    and seccion = '".get_session_var("seccion_id")."'
                    and year_estudio = '".get_ciclo_activo()."'
                    order by apellido, nombre");
  
  while($ialumno=registro($qalumnos)){
         $txtmensaje2=$txtmensaje;
         $txtmensaje2 = str_replace("{nombre}","{$ialumno[nombre]}",$txtmensaje2);
         $txtmensaje2 = str_replace("{apellido}","{$ialumno[apellido]}",$txtmensaje2);
         $qins=runsql("insert into msg_mensajes
                       set para_usuario='{$ialumno[carnet]}',
                       asunto='$txtasunto',
                       mensaje='$txtmensaje2',
                       fecha='$fechahora',
                       leido='N',
                       tipo_usr='Al',
                       de='$uuser'");
  }                   
  
  redireccionar("index2.php?op=mensajes_write_all&msg=Mensaje enviado a todos los alumnos del curso!");                   
?>
